Team Members
Team Members
GET /api/v1/teams/{id}/members
Get Team Members
getTeamMembers returns all members of a team
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/teams/{id}/membersPOST /api/v1/teams/{id}/members
Create add Team Member
addTeamMember adds a member to a team by email
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Request Body
Type: AddTeamMemberRequest
Response
Type: TeamMember
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
team_id | string | |
user_id | string | |
role_id | string | References Role table |
joined_at | time.Time | |
email | string | For pending invites (user doesn’t exist yet) (optional) |
token | string | (optional) |
invited_by | string | (optional) |
expires_at | time.Time | (optional) |
accepted_at | time.Time | (optional) |
user | User | Computed/joined fields (optional) |
team | Team | (optional) |
role | Role | (optional) |
inviter | User | (optional) |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/teams/{id}/membersDELETE /api/v1/teams/{id}/members/{member_id}
Delete remove Team Member
removeTeamMember removes a member from a team
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
member_id | path | string | true |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/teams/{id}/members/{member_id}PUT /api/v1/teams/{id}/members/{member_id}/role
Update Team Member Role
updateTeamMemberRole updates a member’s role in a team
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
member_id | path | string | true |
Request Body
Type: struct{}
Response
Type: TeamMember
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
team_id | string | |
user_id | string | |
role_id | string | References Role table |
joined_at | time.Time | |
email | string | For pending invites (user doesn’t exist yet) (optional) |
token | string | (optional) |
invited_by | string | (optional) |
expires_at | time.Time | (optional) |
accepted_at | time.Time | (optional) |
user | User | Computed/joined fields (optional) |
team | Team | (optional) |
role | Role | (optional) |
inviter | User | (optional) |
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/teams/{id}/members/{member_id}/role